Description

Hi,

I just tried to install Foreman on a Debian Squeeze which can't access the internet directly.

It has access to a proxy and the 'http_proxy' environment variable is set.

The package installation doesn't seem to use it though and if fails when trying to download stuff from Github (shouldn't the package

be self-sufficient?).

 apt-get install foreman foreman-sqlite3

Reading package lists... Done

Building dependency tree       

Reading state information... Done

The following extra packages will be installed:

  foreman-proxy libnet-ping-ruby libnet-ping-ruby1.8 libsinatra-ruby libsinatra-ruby1.8 libsqlite3

-dev ruby-bundler

Suggested packages:

  mongrel thin1.8 sqlite3-doc

The following NEW packages will be installed:

  foreman foreman-proxy foreman-sqlite3 libnet-ping-ruby libnet-ping-ruby1.8 libsinatra-ruby libsi

natra-ruby1.8 libsqlite3-dev ruby-bundler

0 upgraded, 9 newly installed, 0 to remove and 1 not upgraded.

Need to get 1,762 kB of archives.

After this operation, 8,905 kB of additional disk space will be used.

Do you want to continue [Y/n]? 

Get:1 http://mirror.ovh.net/debian/ squeeze/main libsqlite3-dev amd64 3.7.3-1 [498 kB]

Get:2 http://deb.theforeman.org/ squeeze/stable libnet-ping-ruby1.8 all 1.3.7-1 [14.1 kB]

Get:3 http://deb.theforeman.org/ squeeze/stable libnet-ping-ruby all 1.3.7-1 [6,950 B]

Get:4 http://mirror.ovh.net/debian/ squeeze/main libsinatra-ruby1.8 all 1.0.really1.0-1 [33.6 kB]

Get:5 http://mirror.ovh.net/debian/ squeeze/main libsinatra-ruby all 1.0.really1.0-1 [67.2 kB]

Get:6 http://deb.theforeman.org/ squeeze/stable ruby-bundler all 1.1.3-2 [123 kB]

Get:7 http://deb.theforeman.org/ squeeze/stable foreman all 1.0.1+debian1 [981 kB]

Get:8 http://deb.theforeman.org/ squeeze/stable foreman-proxy all 1.0+debian1 [32.9 kB]

Get:9 http://deb.theforeman.org/ squeeze/stable foreman-sqlite3 all 1.0.1+debian1 [5,922 B]

Fetched 1,762 kB in 3s (492 kB/s)     

Selecting previously deselected package libnet-ping-ruby1.8.

(Reading database ... 51779 files and directories currently installed.)

Unpacking libnet-ping-ruby1.8 (from .../libnet-ping-ruby1.8_1.3.7-1_all.deb) ...

Selecting previously deselected package libnet-ping-ruby.

Unpacking libnet-ping-ruby (from .../libnet-ping-ruby_1.3.7-1_all.deb) ...

Selecting previously deselected package libsqlite3-dev.

Unpacking libsqlite3-dev (from .../libsqlite3-dev_3.7.3-1_amd64.deb) ...

Selecting previously deselected package ruby-bundler.

Unpacking ruby-bundler (from .../ruby-bundler_1.1.3-2_all.deb) ...

Selecting previously deselected package foreman.

Unpacking foreman (from .../foreman_1.0.1+debian1_all.deb) ...

Selecting previously deselected package libsinatra-ruby1.8.

Unpacking libsinatra-ruby1.8 (from .../libsinatra-ruby1.8_1.0.really1.0-1_all.deb) ...

05/18/2024 1/3



Selecting previously deselected package libsinatra-ruby.

Unpacking libsinatra-ruby (from .../libsinatra-ruby_1.0.really1.0-1_all.deb) ...

Selecting previously deselected package foreman-proxy.

Unpacking foreman-proxy (from .../foreman-proxy_1.0+debian1_all.deb) ...

Selecting previously deselected package foreman-sqlite3.

Unpacking foreman-sqlite3 (from .../foreman-sqlite3_1.0.1+debian1_all.deb) ...

Setting up libnet-ping-ruby1.8 (1.3.7-1) ...

Setting up libnet-ping-ruby (1.3.7-1) ...

Setting up libsqlite3-dev (3.7.3-1) ...

Setting up ruby-bundler (1.1.3-2) ...

Setting up foreman (1.0.1+debian1) ...

error: Failed connect to github.com:443; Operation now in progress while accessing https://github.

com/jystewart/has_many_polymorphs.git/info/refs

fatal: HTTP request failed

dpkg: error processing foreman (--configure):

 subprocess installed post-installation script returned error exit status 11

Setting up libsinatra-ruby1.8 (1.0.really1.0-1) ...

configured to not write apport reports

                                      Setting up libsinatra-ruby (1.0.really1.0-1) ...

Setting up foreman-proxy (1.0+debian1) ...

WARNING: Missing SSL setup, working in clear text mode !

Starting Foreman Proxy on 8443 using WEBrick

dpkg: dependency problems prevent configuration of foreman-sqlite3:

 foreman-sqlite3 depends on foreman; however:

  Package foreman is not configured yet.

dpkg: error processing foreman-sqlite3 (--configure):

 dependency problems - leaving unconfigured

configured to not write apport reports

                                      Errors were encountered while processing:

 foreman

 foreman-sqlite3

E: Sub-process /usr/bin/dpkg returned an error code (1)

History

#1 - 12/06/2012 11:04 AM - Greg Sutcliffe

Hi,

This is a long standing issue with the Debs, mainly due to the awesome fun that is Bundler, and system ruby packaging.

I agree they should be self-sufficuent, however, at this time they are not. I have some new packaging I've been working on which works properly

coming along - it should hit the nightly repo next week.

#2 - 12/06/2012 11:04 AM - Greg Sutcliffe

- Category set to 21

- Status changed from New to Assigned

- Assignee set to Greg Sutcliffe

#3 - 12/07/2012 04:49 AM - Julien Cornuwel

Sorry for bringing up a known issue, I didn't find it with the search engine :-/

Nice to hear a solution is on the way.

Regards

#4 - 01/14/2013 10:52 AM - Greg Sutcliffe

- Status changed from Assigned to Ready For Testing

The current RCs and Nightlies are now self-sufficent. Could you retest and confirm if they work for you?

#5 - 01/14/2013 10:52 AM - Greg Sutcliffe

- Target version set to 1.1
#6 - 01/21/2013 07:57 AM - Ohad Levy

- Target version deleted (1.1)

since this not a release block / required for release, I'm going to move the target version.

#7 - 05/09/2013 06:47 AM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

I've had confirmation from other sources that the Debs are now able to be installed which disconnected from the internet, so I'm going to close this

one. Thanks for reporting :)

#8 - 10/15/2018 01:46 PM - Tomer Brisker

- Category changed from 21 to Packaging
